AXBA:2019-4193:01

Release date: 
Wednesday, August 21, 2019 - 08:43
Subject: 
passwd-0.79-5.el7
Affected Channels: 
Asianux Server 7 for x86_64
Severity: 
N/A
Description: 

The passwd packages contain the passwd system utility, which sets or changes passwords using the Pluggable Authentication Modules (PAM) library.

Fixed bug(s):
* When changing a password using the passwd command with the --stdin option, the length of the password was limited to 79 characters. Consequently, when you entered a password longer than 79 characters via standard input, only the first 79 characters were accepted, and no warning was shown. With this update, passwd has been fixed to align the accepted size of the password with size defined by Pluggable Authentication Module (PAM). As a result, the passwd --stdin command now accepts passwords longer than 79 characters, but not longer than PAM_MAX_RESP_SIZE - 1 characters. If that limit is exceeded, passwd reports an error to the standard error output, and exits with exit code 1.

Users of passwd are advised to upgrade to these updated packages.

Solution: 

Update packages.

Additional Info: 

N/A

Download: 

SRPMS
1. passwd-0.79-5.el7.src.rpm
md5sum: 1062c7d982f9889ea69789fcbf457c3b
sha256sum: 16e0c007d5ae0fd02ba9667241e71e12facc842e56c7d9b9acca75ef10c5dfaf
Size: 285 Kb

Asianux Server 7.0 for x86_64
1. passwd-0.79-5.el7.x86_64.rpm
md5sum: f021f11ac4dfa8983b36ccc8c8c587bb
sha256sum: 83eca010a4ca48b59965f41acf3b9f22a55901b17061e1e97bf3c916c9d01dda
Size: 104 Kb
Copyright© 2007-2015 Asianux. All rights reserved.